#!/bin/sh

version="$1"

echo "Searching update..."
if [ -f /tmp/addons-"$version"_update.tar.gz ]; then

	if [ "$version" = "0.9.0" ]; then
		rm -f /etc/init.d/S98bridge
		rm -f /www/cgi-bin/webif/backup.sh
		rm -f /www/cgi-bin/webif/restore.sh
		rm -f /www/cgi-bin/statistics.sh
		rm -f /www/cgi-bin/status.sh
		rm -f /www/cgi-bin/webif/mode.sh
		rm -f /www/cgi-bin/webif/adv_wifi.sh
		rm -f /www/cgi-bin/webif/remote.sh
	fi

	echo "Extracting update..."
	tar -xzf /tmp/addons-"$version"_update.tar.gz -C /

	echo "$version" > /etc/addon_version
	rm -f /tmp/addons-"$version"_update.tar.gz
	echo "Finished updateing to version $version."
	exit 0
else
	echo "Update failed: archive not found"
	echo "Usage: `basename $0` version"
	exit 1
fi
